#if !defined(MERGELIST_H)
#define MERGELIST_H

/*
 *
 * FILE: mergelist.h
 * 
 * DESCRIPTION:
 * Definitions for functions which read data from flat ASCII files
 * for the "collate" program.
 *
 */

   /* ignore any lines in input files that start with this */
#define COMMENT_CHAR   '#'     

   /* data files can have this many data columns, at most */
#define MAX_DATA_COL    20

   /* each column in the data file can have at most this many characters */
#define MAX_COL_LENGTH 50


   /*
    * read an ASCII file with a list of detected stars, and create a list
    * of S_DET structures
    */
int
read_coo_file(char *filename, char *filter,
                   int *num_stars, S_PRE **array);


   /*
    * read an ASCII file with a list of catalog stars, and create a list
    * of S_CAT structures
    */
int
read_ast_file(char *filename, int num_stars, S_PRE *array);



#endif    /* MERGELIST_H */

